#include <stdio.h>
int main(void){
	int T,i,j;
	long N,M;
	int min,max,Bmax;
	scanf("%d",&T);
	int res[T];
	for(i=0;i<T;i++){
		scanf("%ld%ld",&N,&M);
		long A[N],B[M];
		for(j=0;j<N;j++){
			scanf("%ld",&A[j]);
		}
		for(j=0;j<M;j++){
			scanf("%ld",&B[j]);
		}
		
		max=A[0];
		min=A[0];
		Bmax=B[0];
		
		for(j=1;j<N;j++){
			if(A[j] > max)
        {
            max = A[j];
        }

        
        if(A[j] < min)
        {
            min = A[j];
        }
		}
		
		for(j=1;j<M;j++){
			if(B[j] > Bmax)
        {
            Bmax = B[j];
        }
		}
		
		
			if(min+Bmax>max){
				res[i]=0;
			}
			else{
				res[i]=1;
			}
		
		
		
		
	}
		for(i=0;i<T;i++){
			printf("\n%d\n",res[i]);
		}
	
	
	return 0;
	
}